package com.jiashi.service;

import lombok.AllArgsConstructor;
import lombok.Data;

/**
 * [ {"inpatientNo":"35131", "disDate":"2020-07-30 00:00:00.000", "fileTitle":"0001.jpg", "uploadFileName":"1.jpg", "assortId":"078F7675CB0048EDBE586D59831C57B0" ,
 * "patientId":"12312312",
 * "name":"长三",
 * "admissDate":"住院时间",
 * "sex":"男女"
 * }
 * ]
 */
@Data

public class UploadInfo {
    private String inpatientNo;
    private String disDate;
    private String fileTitle;
    private String uploadFileName;
    private String assortId;
    private String patientId;
    private String name;
    private String admissDate;
    private String sex;

    public UploadInfo(String inpatientNo, String disDate, String fileTitle, String uploadFileName, String assortId, String patientId, String name, String admissDate, String sex) {
        this.inpatientNo = inpatientNo;
        this.disDate = disDate;
        this.fileTitle = fileTitle;
        this.uploadFileName = uploadFileName;
        this.assortId = assortId;
        this.patientId = patientId;
        this.name = name;
        this.admissDate = admissDate;
        this.sex = sex;
        this.ssAssortId();
    }


    public void ssAssortId() {
        switch (assortId) {
            case "1":
                this.assortId = "2111";
                break;
            case "2":
                this.assortId = "2112";
                break;
            case "3":
                this.assortId = "2113";
                break;
            case "4":
                this.assortId = "2114";
                break;
            case "5":
                this.assortId = "2115";
                break;
            case "6":
                this.assortId = "2116";
                break;
            case "7":
                this.assortId = "2117";
                break;
            case "8":
                this.assortId = "2118";
                break;
            case "9":
                this.assortId = "2119";
                break;
            case "10":
                this.assortId = "21110";
                break;
            case "11":
                this.assortId = "21111";
                break;
            case "12":
                this.assortId = "21112";
                break;
            case "13":
                this.assortId = "21113";
                break;
            case "14":
                this.assortId = "21114";
                break;
            case "15":
                this.assortId = "21115";
                break;
            case "16":
                this.assortId = "21116";
                break;
            case "17":
                this.assortId = "21117";
                break;
            case "18":
                this.assortId = "21118";
                break;
            case "19":
                this.assortId = "21119";
                break;
            case "20":
                this.assortId = "21120";
                break;
            case "21":
                this.assortId = "21121";
                break;
            case "22":
                this.assortId = "21122";
                break;
            case "23":
                this.assortId = "21123";
                break;
            case "24":
                this.assortId = "21124";
                break;
            case "25":
                this.assortId = "21125";
                break;
            case "26":
                this.assortId = "21126";
                break;
            case "27":
                this.assortId = "21127";
                break;
            case "28":
                this.assortId = "21128";
                break;
            case "29":
                this.assortId = "21129";
                break;
            case "30":
                this.assortId = "21130";
                break;
            case "31":
                this.assortId = "21131";
                break;
            case "32":
                this.assortId = "21132";
                break;
            case "33":
                this.assortId = "21133";
                break;
            default:
                this.assortId = "21133";
        }



    }
}
