package com.jiashi.service;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

@Entity
@Table(name = "T_Picture")
@Data
@NoArgsConstructor
@AllArgsConstructor
public class Picture {

    @Id
    @Column(name="picid")
    private String picid;
    @Column(name="picname")
    private String picname;
    @Column(name="fileid")
    private String fileid;
    @Column(name="rotatedegree")
    private Double rotatedegree;

    @Column(name="pickind")
    private String pickind;

    public String getFileUrl(){
        String fileUrl = "d:/pic/" + this.getFileid() + "/" + this.getPicname();
        return fileUrl;
    }

}
